#include <bits/stdc++.h>

using namespace std;

long long mat[27][1000010];

int main()
{
    ios::sync_with_stdio(false);
	cin.tie(0);

	int n;
	cin>>n;

	for(int i=1;i<=26;i++)
        mat[i][0]=0;
    for(int i=0;i<n+1;i++)
        mat[0][i]=1;
    string s;
    cin>>s;
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<27;j++)
        {

            if(s[i-1]-'A'+1==j)
            {
                mat[j][i]=(mat[j-1][i-1]+mat[j][i-1])%1000000007;
            }
            else
            {
                mat[j][i]=mat[j][i-1];
            }
        }
    }

    cout<<mat[26][n];
}